mcrypt_enc_get_block_size
mcrypt_enc_get_key_size
Mcrypt Functions
PHP Manual

# mcrypt_enc_get_iv_size

Returns the size of the IV of the opened algorithm

### Description

int mcrypt_enc_get_iv_size ( resource `$td` )

This function returns the size of the IV of the algorithm specified by the encryption descriptor in bytes. An IV is used in cbc, cfb and ofb modes, and in some algorithms in stream mode.

### Parameters

`td`

  The encryption descriptor.

### Return Values

Returns the size of the IV, or 0 if the IV is ignored by the algorithm.